<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
   <TITLE>WimpBasic help - Code library</TITLE>
   <META NAME="Author" CONTENT="">
   <META NAME="GENERATOR" CONTENT="Mozilla/3.01Gold (Win95; I) [Netscape]">
</HEAD>
<BODY TEXT="#000000" BGCOLOR="#000000" LINK="#FF0000" VLINK="#FF0000" ALINK="#FF0000">

<DD><FONT COLOR="#0080FF"><FONT SIZE=+2>This function provides a report/error
box.</FONT></FONT></DD>

<DD><FONT COLOR="#00FFFF">&nbsp;</FONT></DD>

<DD><FONT COLOR="#00FFFF">&nbsp;</FONT></DD>

<DD><FONT COLOR="#FFFF80">It takes 5 parameters.</FONT></DD>

<DD><FONT COLOR="#00FFFF">1)</FONT><FONT COLOR="#FFFF80"> The string to
display </FONT></DD>

<DD><FONT COLOR="#00FFFF">2)</FONT><FONT COLOR="#FFFF80"> The error number.
This can be anything if not an actual error. </FONT></DD>

<DD><FONT COLOR="#00FFFF">3)</FONT><FONT COLOR="#FFFF80"> The type of message</FONT></DD>

<DD><FONT COLOR="#FFFF80">&nbsp;</FONT></DD>

<DD><FONT COLOR="#FF8000">0 </FONT><FONT COLOR="#FFFF80">=</FONT><FONT COLOR="#00FFFF">
Old style error</FONT></DD>

<DD><FONT COLOR="#FF8000">1 </FONT><FONT COLOR="#FFFF80">=</FONT><FONT COLOR="#00FFFF">
Information Report</FONT></DD>

<DD><FONT COLOR="#FF8000">2 </FONT><FONT COLOR="#FFFF80">=</FONT><FONT COLOR="#00FFFF">
Error report</FONT></DD>

<DD><FONT COLOR="#FF8000">3 </FONT><FONT COLOR="#FFFF80">=</FONT><FONT COLOR="#00FFFF">
Program report</FONT></DD>

<DD><FONT COLOR="#FF8000">4 </FONT><FONT COLOR="#FFFF80">=</FONT><FONT COLOR="#00FFFF">
Question </FONT></DD>

<DD><FONT COLOR="#FF8000">&nbsp;</FONT></DD>

<DD><FONT COLOR="#FFFF80">Under RISC OS 3.10, 3.11 and 3.12, this parameter
is ignored and always </FONT></DD>

<DD><FONT COLOR="#FFFF80">gives an old style error box.</FONT></DD>

<DD><FONT COLOR="#FFFF80">&nbsp;</FONT></DD>

<DD><FONT COLOR="#00FFFF">4)</FONT><FONT COLOR="#FFFF80"> The number of
buttons. Only </FONT><FONT COLOR="#FF8000">1</FONT><FONT COLOR="#FFFF80">
or </FONT><FONT COLOR="#FF8000">2</FONT><FONT COLOR="#FFFF80"> are allowed,
although you could </FONT></DD>

<DD><FONT COLOR="#FFFF80">rewrite the function to allow more on RISC OS
3.50 or greater.</FONT></DD>

<DD><FONT COLOR="#00FFFF">5)</FONT><FONT COLOR="#FFFF80"> The name of the
program.</FONT></DD>

<DD><FONT COLOR="#FFFF80">&nbsp;</FONT></DD>

<DD><FONT COLOR="#FFFF80">The function returns </FONT><FONT COLOR="#FF8000">1</FONT><FONT COLOR="#FFFF80">
if Ok/Continue pressed or </FONT><FONT COLOR="#FF8000">2</FONT><FONT COLOR="#FFFF80">
if Cancel is pressed</FONT></DD>

<DD><FONT COLOR="#FFFF80">&nbsp;</FONT></DD>

<DD><FONT COLOR="#FF0000"><A HREF="../keywords/differ/deffn.htm">DefFn</A></FONT><FONT COLOR="#00FF00">report%(a$</FONT><FONT COLOR="#FF8000">,</FONT><FONT COLOR="#00FF00">no%</FONT><FONT COLOR="#FF8000">,</FONT><FONT COLOR="#00FF00">type%</FONT><FONT COLOR="#FF8000">,</FONT><FONT COLOR="#00FF00">buttons%</FONT><FONT COLOR="#FF8000">,</FONT><FONT COLOR="#00FF00">progname$</FONT><FONT COLOR="#FF0000">)</FONT></DD>

<DD><FONT COLOR="#FF0000"><A HREF="../keywords/basic/o-w/rem.htm">Rem</A>
</FONT><FONT COLOR="#00FFFF">This function provides a report/error box.
It takes 5 parameters.</FONT></DD>

<DD><FONT COLOR="#FF0000"><A HREF="../keywords/differ/local.htm">Local</A>
</FONT><FONT COLOR="#00FF00">flag%</FONT><FONT COLOR="#FF8000">,</FONT><FONT COLOR="#00FF00">r1%</FONT><FONT COLOR="#FF8000">,</FONT><FONT COLOR="#00FF00">eblock%</FONT><FONT COLOR="#FF8000">,</FONT><FONT COLOR="#00FF00">q$
</FONT></DD>

<DD><FONT COLOR="#00FF00">eblock%</FONT><FONT COLOR="#FF0000">=<A HREF="../keywords/new/a-f/allocate.htm">Allocate(</A></FONT><FONT COLOR="#FF8000">5</FONT><FONT COLOR="#FF0000">+Len(</FONT><FONT COLOR="#00FF00">a$</FONT><FONT COLOR="#FF0000">))
</FONT></DD>

<DD><FONT COLOR="#00FF00">flag%</FONT><FONT COLOR="#FF0000">=</FONT><FONT COLOR="#FF8000">0</FONT><FONT COLOR="#FF0000">
&nbsp;</FONT></DD>

<DD><FONT COLOR="#FF0000"><A HREF="../keywords/basic/a-n/case.htm">Case</A>
</FONT><FONT COLOR="#00FF00">buttons%</FONT><FONT COLOR="#FF0000"> <A HREF="../keywords/basic/o-w/of.htm">Of</A>
</FONT></DD>

<DD><FONT COLOR="#000000">. . </FONT><FONT COLOR="#FF0000"><A HREF="../keywords/differ/when.htm">When</A>
</FONT><FONT COLOR="#FF8000">1</FONT><FONT COLOR="#FF0000"> </FONT></DD>

<DD><FONT COLOR="#000000">. . </FONT><FONT COLOR="#00FF00">flag%</FONT><FONT COLOR="#FF0000">=</FONT><FONT COLOR="#00FF00">flag%</FONT><FONT COLOR="#FF0000">
<A HREF="../keywords/basic/o-w/or.htm">Or</A> </FONT><FONT COLOR="#00FF00">%</FONT><FONT COLOR="#FF8000">1</FONT><FONT COLOR="#FF0000">
</FONT></DD>

<DD><FONT COLOR="#000000">. . </FONT><FONT COLOR="#FF0000"><A HREF="../keywords/differ/when.htm">When</A>
</FONT><FONT COLOR="#FF8000">2</FONT><FONT COLOR="#FF0000"> </FONT></DD>

<DD><FONT COLOR="#000000">. . </FONT><FONT COLOR="#00FF00">flag%</FONT><FONT COLOR="#FF0000">=</FONT><FONT COLOR="#00FF00">flag%</FONT><FONT COLOR="#FF0000">
<A HREF="../keywords/basic/o-w/or.htm">Or</A> </FONT><FONT COLOR="#00FF00">%</FONT><FONT COLOR="#FF8000">11</FONT><FONT COLOR="#FF0000">
</FONT></DD>

<DD><FONT COLOR="#000000">. . </FONT><FONT COLOR="#FF0000"><A HREF="../keywords/differ/otherw.htm">Otherwise</A>
<A HREF="../keywords/differ/error.htm">Error</A> </FONT><FONT COLOR="#FF8000">1,</FONT><FONT COLOR="#FFFFFF">&quot;Unknown
number of buttons&quot;</FONT><FONT COLOR="#FF0000"> </FONT></DD>

<DD><FONT COLOR="#FF0000"><A HREF="../keywords/basic/a-n/endcase.htm">EndCase</A>
</FONT></DD>

<DD><FONT COLOR="#FF0000"><A HREF="../keywords/basic/a-n/case.htm">Case</A>
</FONT><FONT COLOR="#00FF00">type%</FONT><FONT COLOR="#FF0000"> <A HREF="../keywords/basic/o-w/of.htm">Of</A>
</FONT></DD>

<DD><FONT COLOR="#000000">. . </FONT><FONT COLOR="#FF0000"><A HREF="../keywords/differ/when.htm">When</A>
</FONT><FONT COLOR="#FF8000">0</FONT><FONT COLOR="#FF0000"> </FONT></DD>

<DD><FONT COLOR="#000000">. . </FONT><FONT COLOR="#FF0000"><A HREF="../keywords/differ/when.htm">When</A>
</FONT><FONT COLOR="#FF8000">1</FONT><FONT COLOR="#FF0000"> </FONT></DD>

<DD><FONT COLOR="#000000">. . </FONT><FONT COLOR="#00FF00">flag%</FONT><FONT COLOR="#FF0000">=</FONT><FONT COLOR="#00FF00">flag%</FONT><FONT COLOR="#FF0000">
<A HREF="../keywords/basic/o-w/or.htm">Or</A> </FONT><FONT COLOR="#00FF00">%</FONT><FONT COLOR="#FF8000">001100010000</FONT><FONT COLOR="#FF0000">
</FONT></DD>

<DD><FONT COLOR="#000000">. . </FONT><FONT COLOR="#FF0000"><A HREF="../keywords/differ/when.htm">When</A>
</FONT><FONT COLOR="#FF8000">2</FONT><FONT COLOR="#FF0000"> </FONT></DD>

<DD><FONT COLOR="#000000">. . </FONT><FONT COLOR="#00FF00">flag%</FONT><FONT COLOR="#FF0000">=</FONT><FONT COLOR="#00FF00">flag%</FONT><FONT COLOR="#FF0000">
<A HREF="../keywords/basic/o-w/or.htm">Or</A> </FONT><FONT COLOR="#00FF00">%</FONT><FONT COLOR="#FF8000">010100000000</FONT><FONT COLOR="#FF0000">
</FONT></DD>

<DD><FONT COLOR="#000000">. . </FONT><FONT COLOR="#FF0000"><A HREF="../keywords/differ/when.htm">When</A>
</FONT><FONT COLOR="#FF8000">3</FONT></DD>

<DD><FONT COLOR="#000000">. . </FONT><FONT COLOR="#00FF00">flag%</FONT><FONT COLOR="#FF0000">=</FONT><FONT COLOR="#00FF00">flag%</FONT><FONT COLOR="#FF0000">
<A HREF="../keywords/basic/o-w/or.htm">Or</A> </FONT><FONT COLOR="#00FF00">%</FONT><FONT COLOR="#FF8000">011100010000</FONT><FONT COLOR="#FF0000">
</FONT></DD>

<DD><FONT COLOR="#000000">. . </FONT><FONT COLOR="#FF0000"><A HREF="../keywords/differ/when.htm">When</A>
</FONT><FONT COLOR="#FF8000">4</FONT><FONT COLOR="#FF0000"> </FONT></DD>

<DD><FONT COLOR="#000000">. . </FONT><FONT COLOR="#00FF00">flag%</FONT><FONT COLOR="#FF0000">=</FONT><FONT COLOR="#00FF00">flag%</FONT><FONT COLOR="#FF0000">
<A HREF="../keywords/basic/o-w/or.htm">Or</A> </FONT><FONT COLOR="#00FF00">%</FONT><FONT COLOR="#FF8000">100100010000</FONT><FONT COLOR="#FF0000">
</FONT></DD>

<DD><FONT COLOR="#FF0000"><A HREF="../keywords/differ/otherw.htm">Otherwise</A>
<A HREF="../keywords/differ/error.htm">Error</A> </FONT><FONT COLOR="#FF8000">1,</FONT><FONT COLOR="#FFFFFF">&quot;Unknown
number type&quot;</FONT><FONT COLOR="#FF0000"> </FONT></DD>

<DD><FONT COLOR="#FF0000"><A HREF="../keywords/basic/a-n/endcase.htm">EndCase</A></FONT></DD>

<DD><FONT COLOR="#FF0000"><A HREF="../keywords/new/s-w/storeint.htm">StoreInt</A>
</FONT><FONT COLOR="#00FF00">eblock%</FONT><FONT COLOR="#FF8000">,</FONT><FONT COLOR="#00FF00">no%
</FONT></DD>

<DD><FONT COLOR="#FF0000"><A HREF="../keywords/new/s-w/storestr.htm">Storestring</A>
</FONT><FONT COLOR="#00FF00">eblock%</FONT><FONT COLOR="#FF0000">+</FONT><FONT COLOR="#FF8000">4,</FONT><FONT COLOR="#00FF00">a$</FONT><FONT COLOR="#FF0000">
</FONT></DD>

<DD><FONT COLOR="#FF0000">Sys </FONT><FONT COLOR="#FFFFFF">&quot;Wimp_ReportError&quot;</FONT><FONT COLOR="#FF8000">,</FONT><FONT COLOR="#00FF00">eblock%</FONT><FONT COLOR="#FF8000">,</FONT><FONT COLOR="#00FF00">flag%</FONT><FONT COLOR="#FF8000">,</FONT><FONT COLOR="#00FF00">progname$</FONT><FONT COLOR="#FF0000">
<A HREF="../keywords/basic/o-w/to.htm">To</A> </FONT><FONT COLOR="#FF8000">,</FONT><FONT COLOR="#00FF00">r</FONT><FONT COLOR="#FF8000">1</FONT><FONT COLOR="#00FF00">%</FONT><FONT COLOR="#FF0000">
</FONT></DD>

<DD><FONT COLOR="#FF0000"><A HREF="../keywords/new/a-f/free.htm">Free</A>
</FONT><FONT COLOR="#00FF00">eblock%</FONT><FONT COLOR="#FF0000"> </FONT></DD>

<DD><FONT COLOR="#FF0000">=</FONT><FONT COLOR="#00FF00">r</FONT><FONT COLOR="#FF8000">1</FONT><FONT COLOR="#00FF00">%</FONT></DD>

</BODY>
</HTML>
